Issue 85241 - ValueHighlighting should be stored with the document
Summary: ValueHighlighting should be stored with the document
Status: RESOLVED FIXED
Alias: None
Product: Calc
Classification: Application
Component: viewing (show other issues)
Version: OOo 2.3
Hardware: All All
: P3 Trivial (vote)
Target Milestone: 4.2.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-14 16:53 UTC by eberlein
Modified: 2015-01-27 13:28 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation in: 4.1.0-dev
Developer Difficulty: ---


Attachments
Patch to store IsValueHighlightingEnabled to settings.xml (2.45 KB, patch)
2015-01-18 13:19 UTC, hanya
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description eberlein 2008-01-14 16:53:52 UTC
Beside such document-properties like "HasColumnRowHeaders", "ShowNotes",
"ShowZeroValues" and others the "ValueHighlighting" can only be set global.
This is inconsequent.
"ValueHighlighting" should be stored in settings.xml, not only in the calc.xcu

For documents which are deployed in a company as "forms" (tabbing the
unprotected cells), it would be very helpful.
Comment 1 oc 2008-07-15 10:44:48 UTC
reassigning features and enhancements to user requirements@openoffice.org which
will be the default owner for those tasks (was introduced some time ago)
Comment 2 aoo-bugger 2009-05-28 11:49:38 UTC
Also: the current implementation of the "ValueHighlighting"-setting in the
calc.xcu, is obviously not correct/buggy, as every time I return from the Page
Preview, Value Highlighting is disabled and I have to re-enable it by hand.
Comment 3 Edwin Sharp 2014-01-10 13:12:23 UTC
Useful enhancement.
Comment 4 hanya 2015-01-18 13:19:48 UTC
Created attachment 84438 [details]
Patch to store IsValueHighlightingEnabled to settings.xml

Store IsValueHighlightingEnabled value to the settigns file and read it.
Comment 5 SVN Robot 2015-01-27 13:25:47 UTC
"hanya" committed SVN revision 1655033 into trunk:
#i85241# store settings about value highlighting in document
Comment 6 hanya 2015-01-27 13:28:52 UTC
Fixed on trunk.